UserEntity (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records.timelineservice, class: UserEntity

Package org.apache.hadoop.yarn.api.records.timelineservice

# Class UserEntity

java.lang.Object
org.apache.hadoop.yarn.api.records.timelineservice.TimelineEntity
org.apache.hadoop.yarn.api.records.timelineservice.UserEntity

All Implemented Interfaces:
  `Comparable<TimelineEntity>`

@Public @Unstable public class UserEntity extends TimelineEntity
This entity represents a user.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.yarn.api.records.timelineservice.TimelineEntity

  `TimelineEntity.Identifier`

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.yarn.api.records.timelineservice.TimelineEntity

  `DEFAULT_ENTITY_PREFIX, SYSTEM_INFO_KEY_PREFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserEntity()`
  `UserEntity(TimelineEntity entity)`

- ## Method Summary

  ### Methods inherited from class org.apache.hadoop.yarn.api.records.timelineservice.TimelineEntity

  `addConfig, addConfigs, addEvent, addEvents, addInfo, addInfo, addIsRelatedToEntities, addIsRelatedToEntity, addMetric, addMetrics, addRelatesToEntities, addRelatesToEntity, compareTo, equals, getConfigs, getConfigsJAXB, getCreatedTime, getEvents, getId, getIdentifier, getIdPrefix, getInfo, getInfoJAXB, getIsRelatedToEntities, getIsRelatedToEntitiesJAXB, getMetrics, getReal, getRelatesToEntities, getRelatesToEntitiesJAXB, getType, hashCode, isValid, setConfigs, setCreatedTime, setEvents, setId, setIdentifier, setIdPrefix, setInfo, setIsRelatedToEntities, setMetrics, setRelatesToEntities, setType, setUID, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UserEntity

    public UserEntity()

  - ### UserEntity

    public UserEntity(TimelineEntity entity)